Package org.eclipse.emf.cdo.session

# Interface CDOSessionRegistry.Registration

Enclosing interface:
  `CDOSessionRegistry`

public static interface CDOSessionRegistry.Registration
A bidirectional mapping between a registered `session` and its assigned `ID`.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`int`
`getID()`
Returns the ID of this registration.
`CDOSession`
`getSession()`
Returns the `CDOSession` of this registration.

## Method Details

### getID

int getID()
Returns the ID of this registration.

### getSession

CDOSession getSession()
Returns the `CDOSession` of this registration.